// Quad_ROV_Calibration - Nuts & Volts
// This program calibrates one to four ESC units
// Written by Theron Wierenga, September 2017
// Note that this program uses the Adafruit Servo Driver Board

#define MAX_SIGNAL 375 // This = 2005 uSec
#define MIN_SIGNAL 188 // This = 1005 uSec

#include <Wire.h>
#include <Adafruit_PWMServoDriver.h>

// Called this way, it uses the default address 0x40
Adafruit_PWMServoDriver pwm = Adafruit_PWMServoDriver();

void setup()
{
  Serial.begin(115200);
  Serial.println("Starting"); 
  pinMode(13, OUTPUT);
  // Setup PWM
  pwm.begin();
  pwm.setPWMFreq(50);                    // Analog servos run at ~50 Hz updates
  pwm.setPWM(0, 0, MAX_SIGNAL);          // Set outputs 0 - 4 to max throttle
  pwm.setPWM(1, 0, MAX_SIGNAL);
  pwm.setPWM(2, 0, MAX_SIGNAL);
  pwm.setPWM(3, 0, MAX_SIGNAL);
  Serial.println("Sending MAX_SIGNAL");
  digitalWrite(13, HIGH);                // LED on denotes Teensy or Arduino sending MAX_SIGNAL
  delay(3000);
  Serial.println("Connect 12 volts to ESC");
  Serial.println("Should hear a BEEP BEEP signal");
  delay(7000);
  digitalWrite(13, LOW);                 // LED off denotes Teensy or Arduino sending MIN_SIGNAL
  pwm.setPWM(0, 0, MIN_SIGNAL);          // Set outputs 0 - 4 to min throttle
  pwm.setPWM(1, 0, MIN_SIGNAL);
  pwm.setPWM(2, 0, MIN_SIGNAL);
  pwm.setPWM(3, 0, MIN_SIGNAL);
  Serial.println("Sending MIN_SIGNAL");
  Serial.println("Should hear several BEEP BEEPs for battery size, then LONG BEEP if success");
  delay(7000);
  while(true) {}
}

void loop()
{
}


